Bug 188020 - Process clurgmgrd dies
Process clurgmgrd dies
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 09:00 EDT by Synedra Support
Modified: 2009-04-16 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 16:50:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Synedra Support 2006-04-05 09:00:59 EDT
Description of problem:

clurgmgrd dies very often.

clustat on one node only shows following:

[root@aimtest2 ~]# clustat
Member Status: Quorate

  Member Name                              Status
  ------ ----                              ------
  aimtest1                                 Online, rgmanager
  aimtest2                                 Online, Local, rgmanager

When getting status of rgmanager:

[root@aimtest2 ~]# service rgmanager status
clurgmgrd dead but pid file exists


Version-Release number of selected component (if applicable):


How reproducible:
It happens almost every day, but is not manualy 
  

Actual results:

  Member Name                              Status
  ------ ----                              ------
  aimtest1                                 Online, rgmanager
  aimtest2                                 Online, Local, rgmanager

Expected results:

[root@aimtest1 ~]# clustat
Member Status: Quorate

  Member Name                              Status
  ------ ----                              ------
  aimtest1                                 Online, Local, rgmanager
  aimtest2                                 Online, rgmanager

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  aim-oracle           aimtest1                       started
  aim-web              aimtest1                       started
  aim-namingservice    aimtest1                       started
  aim-core             aimtest2                       started
  aim-interface        aimtest2                       started
  aim-data01           aimtest2                       started
  aim-data02           aimtest2                       started
  aim-datalta          aimtest2                       started
  aim-dicom            aimtest2                       started

Additional info:

When rgmanager is restarted or clurgmgrd is started manualy rgmanager relocates
all services and everything is working fine for a while.
Comment 1 Synedra Support 2006-04-05 09:08:26 EDT
How reproducible:
It happens almost every day, but is not manualy reproducible
Comment 2 Lon Hohberger 2006-04-06 16:19:48 EDT
What version of rgmanager?  Try stopping rgmanager, then running:
 
# ulimit -c unlimited
# clurgmgrd

This should allow rgmanager to generate a core file, which I can use to help
debug the problem.
Comment 3 Synedra Support 2006-04-07 04:45:26 EDT
we use rgmanager-1.9.43-0

ok, where can i find the core file?
Comment 4 Lon Hohberger 2006-04-07 10:15:06 EDT
I believe the core file will show up in the root directory.  However, this
sounds like the following bug we fixed in 1.9.46 (U3):

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166109

Here's the errata package:

https://rhn.redhat.com/network/software/packages/details.pxt?pid=340158

I'm confident that 1.9.46 will your problem; sorry for the confusion.
Comment 5 Synedra Support 2006-04-10 05:15:02 EDT
ok, i will try 1.9.46.

thanks

Note You need to log in before you can comment on or make changes to this bug.